gdcm::ByteBuffer Class Reference

ByteBuffer. More...

`#include <gdcmByteBuffer.h>`

## Public Member Functions

| ByteBuffer ()
char * | Get (int len)
const char * | GetStart () const
void | ShiftEnd (int len)
void | UpdatePosition ()

## Detailed Description

ByteBuffer.

Detailed description here

Note
  looks like a std::streambuf or std::filebuf class with the get and peek pointer

## Constructor & Destructor Documentation

## ByteBuffer()

gdcm::ByteBuffer::ByteBuffer | ( |  | ) |

inline

## Member Function Documentation

## Get()

char * gdcm::ByteBuffer::Get | ( | int | len | ) |

inline

## GetStart()

const char * gdcm::ByteBuffer::GetStart | ( |  | ) | const

inline

## ShiftEnd()

void gdcm::ByteBuffer::ShiftEnd | ( | int | len | ) |

inline

## UpdatePosition()

void gdcm::ByteBuffer::UpdatePosition | ( |  | ) |

inline

The documentation for this class was generated from the following file:

- gdcmByteBuffer.h